﻿using System;
using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;

namespace TodoList2.Persistence
{
    public class TodoListDbContext : IdentityDbContext<ApplicationUser>
    {
        public TodoListDbContext(DbContextOptions<TodoListDbContext> options)
            : base(options)
        {
        }

        public DbSet<List> Lists { get; set; }

        public DbSet<Item> Items { get; set; }
    }
}